## ros-indigo-nodelet 1.9.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nodelet)

## Find catkin dependencies
find_package(catkin REQUIRED bondcpp cmake_modules message_generation pluginlib rosconsole roscpp std_msgs)

## Find Boost (only headers)
find_package(Boost REQUIRED)

## Find UUID libraries
find_package(UUID REQUIRED)

## Add service files to be generated
add_service_files(DIRECTORY srv FILES NodeletList.srv  NodeletLoad.srv  NodeletUnload.srv)

## Generate servics
generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  INCLUDE_DIRS include ${UUID_INCLUDE_DIRS}
  LIBRARIES nodeletlib ${UUID_LIBRARIES}
  CATKIN_DEPENDS bondcpp message_runtime pluginlib rosconsole roscpp std_msgs
  DEPENDS Boost
)

include_directories(include ${catkin_INCLUDE_DIRS} ${BOOST_INCLUDE_DIRS})

# Debug only, collects stats on how callbacks are doled out to worker threads
#add_definitions(-DNODELET_QUEUE_DEBUG)

add_library(nodeletlib src/nodelet_class.cpp src/loader.cpp src/callback_queue.cpp src/callback_queue_manager.cpp)
target_link_libraries(nodeletlib ${catkin_LIBRARIES} ${BOOST_LIBRARIES})
add_dependencies(nodeletlib ${nodelet_EXPORTED_TARGETS})

add_executable(nodelet src/nodelet.cpp)
target_link_libraries(nodelet nodeletlib ${UUID_LIBRARIES} ${catkin_LIBRARIES} ${BOOST_LIBRARIES})

# install
catkin_install_python(PROGRAMS scripts/declared_nodelets scripts/list_nodelets
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(TARGETS nodeletlib
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(TARGETS nodelet
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-nodelet (1.9.14-0trusty) trusty; urgency=high

  * declared_nodelets: continue on missing plugin xml (#70 <https://github.com/ros/nodelet_core/issues/70>)
  * Contributors: Furushchev

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 14 Nov 2017 23:00:00 -0000

ros-indigo-nodelet (1.9.13-0trusty) trusty; urgency=high

  * Drop unneeded forward declaration. (#68 <https://github.com/ros/nodelet_core/issues/68>)
  * Contributors: Mike Purvis

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 26 Oct 2017 22:00:00 -0000

ros-indigo-nodelet (1.9.12-0trusty) trusty; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 03 Aug 2017 22:00:00 -0000

ros-indigo-nodelet (1.9.11-0trusty) trusty; urgency=high

  * Add getRemappingArgs method to nodelet to reuse it in subclass (#61 <https://github.com/ros/nodelet_core/issues/61>)
  * remove trailing whitespaces (#62 <https://github.com/ros/nodelet_core/issues/62>)
  * switch to package format 2 (#63 <https://github.com/ros/nodelet_core/issues/63>)
  * Show pkg and manifest file with verbose option (#59 <https://github.com/ros/nodelet_core/issues/59>)
  * Contributors: Kentaro Wada, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 26 Jul 2017 22:00:00 -0000

ros-indigo-nodelet (1.9.10-0trusty) trusty; urgency=high

  * installs the list_nodelets script (#58 <https://github.com/ros/nodelet_core/issues/58>)
    * python3 compatibility
    * pep8
    * install list_nodelets
    * print message with service name
  * return outside of try catch
  * fix unused var warning
  * give node a name, empty node names not supported since https://github.com/ros/ros_comm/commit/bd3af70520648783da8aa4d3610f234a4d2bd41f
  * remove tabs
  * fix help message
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 26 Mar 2017 22:00:00 -0000

ros-indigo-nodelet (1.9.9-0trusty) trusty; urgency=high

  * drop unused dependency on tinyxml (#54 <https://github.com/ros/nodelet_core/pull/54>)
  * Install the declared_nodelets script (#53 <https://github.com/ros/nodelet_core/pull/53>)
  * Contributors: Dmitry Rozhkov, Kentaro Wada

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 16 Feb 2017 23:00:00 -0000

ros-indigo-nodelet (1.9.8-0trusty) trusty; urgency=high

  * Fix bond handling during nodelet unloading (#51 <https://github.com/ros/nodelet_core/issues/51>)
    * add test whether bond breaking on unload works (tests #50 <https://github.com/ros/nodelet_core/issues/50>)
    * disable callback for broken bond when we are breaking it
    This avoids the nodelet::LoaderROS::unload() method to be called
    twice for the same nodelet, causing an error output.
    * use AsyncSpinner for nodelet load in order for the shutdown procedure to work
    During shutdown, the bonds still need to communicate their status in order
    for the nodelet to properly/cleanly/quickly unload. This requires the node
    to spin.
    * add test whether LoaderROS::unload() is called twice (tests #50 <https://github.com/ros/nodelet_core/issues/50>)
  * Contributors: Daniel Seifert

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Nov 2016 23:00:00 -0000

ros-indigo-nodelet (1.9.7-0trusty) trusty; urgency=high

  * Use rospkg instead of roslib in declared_nodelets
    Close https://github.com/ros/nodelet_core/issues/48
  * Contributors: Kentaro Wada

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 23 Oct 2016 22:00:00 -0000

ros-indigo-nodelet (1.9.6-0trusty) trusty; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 19 Sep 2016 22:00:00 -0000

ros-indigo-nodelet (1.9.5-0trusty) trusty; urgency=high

  * more sane debugging messages
  * Contributors: Daniel Stonier

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 21 Jun 2016 22:00:00 -0000

ros-indigo-nodelet (1.9.4-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Mar 2016 23:00:00 -0000

ros-indigo-nodelet (1.9.3-0trusty) trusty; urgency=high

  * adding support for named nodelet loggers
  * nodelet loader: display error messages from both load attempts on failure
  * Contributors: Max Schwarz, Tully Foote

 -- Esteve Fernandez <esteve@osrfoundation.org>  Tue, 04 Aug 2015 22:00:00 -0000

ros-indigo-nodelet (1.9.2-0trusty) trusty; urgency=high

  * Fix dependency version
  * Contributors: Esteve Fernandez

 -- Esteve Fernandez <esteve@osrfoundation.org>  Wed, 29 Oct 2014 23:00:00 -0000

ros-indigo-nodelet (1.9.1-0trusty) trusty; urgency=high

  * Use FindUUID.cmake from cmake-modules to find the UUID libraries
  * nodelet: Loader: do not call impl->refresh_classes_ if not available
  * Contributors: Esteve Fernandez, Max Schwarz

 -- Esteve Fernandez <esteve@osrfoundation.org>  Tue, 28 Oct 2014 23:00:00 -0000

ros-indigo-nodelet (1.9.0-0trusty) trusty; urgency=high

  * Fix initialization error handling (#13 <https://github.com/ros/nodelet_core/issues/13>)
  * Contributors: Esteve Fernandez

 -- Esteve Fernandez <esteve@osrfoundation.org>  Sun, 15 Jun 2014 22:00:00 -0000

ros-indigo-nodelet (1.8.3-0trusty) trusty; urgency=high

  * Add version to pluginlib dependency
  * nodelet: avoid breaking bond when unloading unknown nodelet
  * nodelet: refresh list of available classes if class is not found
  * Fixed missing header
  * Correctly check that there are enough arguments when nodelet is launched with the unload command
  * Exit if Loader::load returns failure in "standalone" mode instead of continuing to run
  * Contributors: Dirk Thomas, Esteve Fernandez, Forrest Voight, Gary Servin, Marcus Liebhardt, Mitchell Wills
  * fix missing header (#14 <https://github.com/ros/nodelet_core/issues/14>)
  * fix check that there are enough arguments when nodelet is launched with the unload command (#12 <https://github.com/ros/nodelet_core/issues/12>)


=== debian/control ===
Source: ros-indigo-nodelet
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-bondcpp, ros-indigo-catkin, ros-indigo-cmake-modules (>= 0.3.2), ros-indigo-message-generation, ros-indigo-pluginlib (>= 1.10.0), ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-std-msgs, uuid-dev
Homepage: http://ros.org/wiki/nodelet
Standards-Version: 3.9.2

Package: ros-indigo-nodelet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-bondcpp, ros-indigo-message-runtime, ros-indigo-pluginlib (>= 1.10.0), ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs, uuid-dev
Description: The nodelet package is designed to provide a way to run multiple algorithms in the same process with zero copy transport between algorithms.
 This package provides both the nodelet base class needed for implementing a nodelet, as well as the NodeletLoader class used for instantiating nodelets.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nodelet//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
